// Copyright 2019 getensh.cc. All rights reserved.
// Use of this source code is governed by getensh.cc.

package consts

// 定义数据来源大类
const (
	ODSPROVIDERLOG     = "provider-log"   // 数据源日志
	ODSGDLOG          = "gd-log"        // gd日志
	ODSMANUALAMENDMENT = "manual"         // 人工修正
	ODSOFFLINEIMPORT   = "offline-import" // 离线导入
)

// 定义过期或不过期数据
const (
	NORMALDATA = "0"
	EXPIREDATA = "1"
)

// 数据源编码
const (
	VINRELATION                  = "102-002" //VIN解析车型
	VEHICLEINFO                  = "103-001" //全国车辆信息查询
	VEHICLEINFOZZX               = "122-001" //全国车辆信息查询-中智信
	VEHICLEOWNER                 = "103-002" //车辆所有人验证
	CXYVIOLATION                 = "117-001" //车行易违章
	VIOLATIONSC                  = "109-001" //四川违章
	VEHICLEZT                    = "114-001" // 直通车辆信息
	VIOLATIONCHINA               = "101-001" //全国违章
	C300VALUATION                = "102-001" // 车300估值
	MJLIMIT                      = "105-001" //限行数据
	MJAQI                        = "105-002" //空气质量指数
	MJFORECAST24HOURS            = "105-003" //天气预报24小时
	MJAQI5DAYS                   = "105-004" //AQI预报5天
	MJFORECAST15DAYS             = "105-005" //天气预报15天
	MJCONDITION                  = "105-006" //天气实况
	MJLIFTINDEX                  = "105-007" //生活指数
	MJALERT                      = "105-008" //天气预警
	JHLICENSESCORE               = "106-001" //驾驶员累计计分查询
	ZXDRIVERLICENSEQUERY         = "107-003" //驾驶证核查
	EDCREATEORDER                = "104-002" //e代审创建订单
	EDGETTOKEN                   = "104-001" //e代审获取token
	EDCANCELORDER                = "104-003" //e代审取消订单
	EDPAYORDER                   = "104-004" //e代审通知订单已支付
	NJGETCITY                    = "108-001" //鑫首创获取城市列表
	NJCREATEORDER                = "108-002" //鑫首创创建自行预约订单
	NJCANCELORDER                = "108-003" //鑫首创取消订单
	NJGETSTATION                 = "108-004" //鑫首创获取年审机构
	NJGETSTATIONITEM             = "108-005" //鑫首创获取年审项目
	NJGETVEHICLETYPE             = "108-006" //鑫首创获取机构支持的车辆类型
	NJGETRESERVATIONOFFDATE      = "108-007" //鑫首创获取机构不可预约日期
	NJGETRESERVATIONTIME         = "108-008" //获取可预约时段
	NJGETORDERSTATE              = "108-009" //鑫首创获取自行预约订单状态
	CHECHEGETITEM                = "110-001" //车车网获取年审报价
	CHECHECREATEORDER            = "110-002" //车车网创建免检年审在线处理订单
	CHECHECHANGEORDERSTATUS      = "110-003" //车车修改订单状态（只支持“确认要办”）
	ZQYPLATEVEHICLE              = "119-001"
	ZQYVINVEHICLE                = "119-002"
	ZQYPLATEVEHICLENEW           = "119-003"
	MSNO272OWNERBUYORDER         = "115-005" //所有人验证-购买报告
	MSNO272OWNERQUERYORDER       = "115-006" //所有人验证-发起查询
	MSNO272OWNERGETRESULT        = "115-007" //所有人验证-获取查询结果
	MSNO272OWNERQREFRESHORDER    = "115-008" //所有人验证-读取报告状态
	MS315OWNERVERIFY             = "115-023" // MS 315所有人验证
	MSNO272VECHICLEBUYORDER      = "115-009" //所有人验证获取车档-购买报告
	MSNO272VECHICLEQUERYORDER    = "115-010" //所有人验证获取车档-发起查询
	MSNO272VECHICLEGETRESULT     = "115-011" //所有人验证获取车档-获取查询结果
	MSNO272VECHICLEQREFRESHORDER = "115-012" //所有人验证获取车档-读取报告状态
	MSNO274BUYORDER              = "115-013" //VIN发动机查车牌-购买报告
	MSNO274QUERYORDER            = "115-014" //VIN发动机查车牌-发起查询
	MSNO274GETRESULT             = "115-015" //VIN发动机查车牌-获取查询结果
	MSNO274QREFRESHORDER         = "115-016" //VIN发动机查车牌-读取报告状态
	MSNO273BUYORDER              = "115-017" //三要素验证-购买报告
	MSNO273QUERYORDER            = "115-018" //三要素验证-发起查询
	MSNO273GETRESULT             = "115-019" //三要素验证-获取查询结果
	MSNO273QREFRESHORDER         = "115-020" //三要素验证-读取报告状态
	ZHVIN                        = "120-001" //智慧数据
	HNVIN6                       = "120-002" //智慧(haoniu)数据
	CQZJTVEHICLEOWNER            = "123-001" //重庆中交投所有人验证
	CQZJTVEHICLE                 = "123-002" //重庆中交投全国车档
	DJVEHICLE                    = "124-001" //DJ车档
	DJSCVEHICLE                  = "124-002" //DJ四川车档
	DJVEHICLEOWNER               = "124-003" //DJ所有人验证
	DJSCVEHICLEOWNER             = "124-004" //DJ四川所有人验证
	LOCALDATA                    = "125-001" //本地数据
	LOCALVIOLATION               = "125-002" //本地违章
	LOCALVIN11                   = "125-003" //本地vin11数据
	LOCALSCW                     = "125-004" //本地scw数据
	JISUPLATEVERIFY              = "127-002" //极速车牌号验证
	BIHUGETINSURANCE             = "116-001" //壁虎获取上年投保信息
	SPYDEFINEVIN                 = "128-001" // SPY VIN码获取车型信息
	SPYVINNEW                    = "128-011"
	SPYVIN6                      = "128-003"
	SPYTWODATE                   = "128-004"
	SPYINSUREDATE                = "128-009"
	BJCVIN                       = "129-001" //BJC vin
	DJVIN                        = "124-007" //DJ vin
	LOCALVIN                     = "125-005" //本地VIN相关数据
	LOCALRESPONSE                = "125-006" //本地响应参数检查
	ZQYINSUREDATE                = "119-005"
	ZQYVINVEHICLETRANSFER        = "119-006"
	ZQYVIN6VEHICLE               = "119-007"
	SPYTRANSFERRECORD            = "128-010"
	ZHDVEHICLEOWNER              = "137-001"
	ZHDVEHICLEOWNERVERIFY        = "137-002"
	ZHDVEHICLEFIVE               = "137-003"
	ENGINENOCHECKE               = "125-007" //发动机号检测
	PLATETYPEPOLL                = "125-008" //发动机号检测
	LOCALBJDATA                  = "125-009" //本地bj数据
	LOCALVEHICLEMODEL            = "125-010"
	DRVVEHICLEOWNERVERIFY        = "138-002"
	SPYTWODATE2                  = "128-006"
	SPYTRANSFERBYVIN             = "128-007"
	SPYTWOELEMENTVERIFY          = "128-008"
	ZCRKTWOELEMENTVERIFY         = "141-001"
	ZCRKTWOELEMENTVERIFY2        = "141-002"
	ONLINECARACTIVE              = "138-003"
	DRVVEHICLEOWNERVERIFYBAK     = "138-004"
	ZJCVEHICLEOWNER              = "142-001"
	DYIDCERTVERIFY               = "139-001"
	ZCRKENGINENO                 = "141-003"
)

// 定义数据来源编号
const (
	SOURCEODS1  = "ODS001" // 车行易违章
	SOURCEODS2  = "ODS002"
	SOURCEODS3  = "ODS003"
	SOURCEODS4  = "ODS004"
	SOURCEODS5  = "ODS005"
	SOURCEODS6  = "ODS006"
	SOURCEODS7  = "ODS007"
	SOURCEODS8  = "ODS008"
	SOURCEODS9  = "ODS009"
	SOURCEODS10 = "ODS010"
	SOURCEODS11 = "ODS011"
	SOURCEODS12 = "ODS012"
	SOURCEODS13 = "ODS013"
	SOURCEODS15 = "ODS015"
	SOURCEODS16 = "ODS016"
	SOURCEODS17 = "ODS017"
	SOURCEODS18 = "ODS018"
	SOURCEDWS1  = "DWS001"
	SOURCEDWS2  = "DWS001"
	SOURCEADS1  = "ADS001"
	SOURCEADS2  = "ADS002"
)

const (
	ONLINE  = "online"
	OFFLINE = "offline"
)

const (
	DEFAULTPAGESIZE = 1000
)

const (
	FromDb    = 1
	FromExcel = 2
)
